UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 20270

6.3 EDK - XMD error on Linux: "/lib/i686/libc.so.6: version `GLIBC_2.3' not found (required by /EDK_Gmm.11.2.1/rtf/bin/lin/libJtagcomm10.so)"

描述

Keywords: genace.tcl, libjtagcomm10.so, glibc_2.3, libc.so.6

Urgency: Standard

General Description:
When running genace.tcl via XMD on a Linux machine, the following error occurs:

"bash-2.05$ xmd -tcl genace.tcl -jprog -hw ../implementation/ml310_base_bootloop.bit -ace ../implementation/hello.ace -board ml310
xmd: /lib/i686/libc.so.6: version `GLIBC_2.3' not found (required by /proj/embedded/build/EDK_Gmm.11.2.1/rtf/bin/lin/libJtagcomm10.so)"

解决方案

Use the following steps to resolve this error:

1. Download the updated libjtagcomm10.so from the FTP site:
there

2. Unzip the file to a local directory.
3. Add the local directory to the LD_LIBRARY_PATH:
For a bash shell: export LD_LIBRARY_PATH=/home/<user>/<local_directory>:$LD_LIBRARY_PATH
For a tcsh shell: sentenv LD_LIBRARY_PATH /home/<user>/<local_directory>;${LD_LIBRARY_PATH}
AR# 20270
日期 04/05/2007
状态 Archive
Type 综合文章
的页面